petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscPopUpSelect

Pops up a windows with a list of choices; allows one to be chosen

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscPopUpSelect(MPI_Comm comm,const char *machine,const char *title,int n,const char **choices,int *choice)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator, all processors in communicator must call this but input from first communicator is the only one that is used
| machine | - location to run popup program or NULL
| title | - text to display above choices
| n | - number of choices
| choices | - array of strings

### Output Parameter

choice -integer indicating which one was selected

### Notes

Uses DISPLAY variable or -display option to determine where it opens the window

Currently this uses a file ~username/.popuptmp to pass the value back from the xterm; hence this program must share a common file system with the machine parameter passed in below.

Level:developer
Location:src/sys/utils/select.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages